membuffer Struct Reference

`#include <membuffer.h>`

## Data Fields

char * | buf
size_t | length
size_t | capacity
size_t | size_inc

## Detailed Description

Maintains a block of dynamically allocated memory note: Total length/capacity should not exceed MAX_INT

## Field Documentation

## buf

char* membuffer::buf

mem buffer; must not write beyond buf[length-1] (read/write).

Referenced by Check_Connect_And_Wait_Connection(), CheckOtherHTTPHeaders(), ExtraHTTPHeaders(), gena_process_subscription_renewal_request(), gena_process_unsubscribe_request(), gena_subscribe(), gena_unsubscribe(), get_alias(), get_mpost_acton_hdrval(), http_MakeHttpRequest(), http_ReadHttpResponse(), http_RecvMessage(), http_RecvPostMessage(), is_valid_alias(), membuffer_assign(), membuffer_attach(), membuffer_delete(), membuffer_destroy(), membuffer_detach(), membuffer_insert(), membuffer_set_size(), notify_send_and_recv(), print_http_headers(), process_request(), readFromSSDPSocket(), respond_ok(), send_action_response(), send_error_response(), send_var_query_response(), web_server_callback(), and web_server_set_root_dir().

## capacity

size_t membuffer::capacity

total allocated memory (read-only).

Referenced by membuffer_attach(), and membuffer_set_size().

## length

size_t membuffer::length

length of buffer (read-only).

Referenced by Check_Connect_And_Wait_Connection(), CheckOtherHTTPHeaders(), ExtraHTTPHeaders(), gena_process_notification_event(), gena_subscribe(), gena_unsubscribe(), get_alias(), get_mpost_acton_hdrval(), http_MakeHttpRequest(), membuffer_append(), membuffer_append_str(), membuffer_assign(), membuffer_attach(), membuffer_delete(), membuffer_insert(), membuffer_set_size(), notify_send_and_recv(), print_http_headers(), process_request(), readFromSSDPSocket(), respond_ok(), send_action_response(), send_error_response(), send_var_query_response(), web_server_callback(), and web_server_set_root_dir().

## size_inc

size_t membuffer::size_inc

used to increase size; MUST be > 0; (read/write).

Referenced by CreateServicePacket(), gena_subscribe(), gena_unsubscribe(), membuffer_init(), membuffer_set_size(), and respond_ok().

The documentation for this struct was generated from the following file:

- /build/pupnp-CzNTB5/pupnp-1.14.20/upnp/src/inc/membuffer.h